For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
  • AI
  • User
      • GETUser By Email
      • POSTCreate User
      • GETUsers
      • GETSearch All Users
      • GETMe
      • PUTUpdate Me
      • POSTUpload User Avatar
      • POSTUpload User Avatar Admin
      • PUTCreate Or Replace Api Key
      • DELDelete Api Key
      • POSTSubmit Feedback
      • POSTBatch Lookup Users
      • GETUser Permissions
      • GETUser
      • PUTUpdate User
      • DELDelete User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
UserUser

User

GET
/api/v1/user/:user_id
GET
/api/v1/user/:user_id
$curl https://app.termina.ai/api/v1/user/1 \
> -H "Authorization: Bearer <token>"
1{
2 "group_roles": [
3 {
4 "group_id": 1,
5 "role": "admin"
6 }
7 ],
8 "deal_roles": [
9 {
10 "deal_id": 1,
11 "role": "admin"
12 }
13 ],
14 "name": "string",
15 "email": "string",
16 "id": 1,
17 "api_key_final_characters": "string",
18 "thumbnail_url": "string",
19 "created_at": "2024-01-15T09:30:00Z",
20 "updated_at": "2024-01-15T09:30:00Z",
21 "is_archived": true,
22 "super_user": true
23}
Get a user.
Was this page helpful?
Previous

Update User

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

user_idintegerRequired

Response

Successful Response
group_roleslist of objects
The group roles of the user
deal_roleslist of objects
The deal roles of the user
namestring
The name of the user
emailstring
The email address of the user
idinteger
api_key_final_charactersstring or null
thumbnail_urlstring or null<=2048 characters
The thumbnail URL of the user
created_atstringformat: "date-time"
updated_atstring or nullformat: "date-time"
is_archivedboolean or null
super_userboolean or null

Errors

422
Unprocessable Entity Error